Page MenuHomeFreeBSD

Use callout(9) instead of deprecated timeout(9).
ClosedPublic

Authored by jhb on Nov 28 2019, 8:27 PM.

Details

Test Plan
  • only compiled, not tested

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

I don't have access to this hardware. I can't test the changes here.

This revision is now accepted and ready to land.Nov 29 2019, 1:51 AM

@sbruno Do you have a PoC for this driver?

In D22598#494383, @jhb wrote:

@sbruno Do you have a PoC for this driver?

IIRC, it was from HP. But I'm not sure how well PQI with SOP has been accepted in the marketplace...

In D22598#494456, @imp wrote:
In D22598#494383, @jhb wrote:

@sbruno Do you have a PoC for this driver?

IIRC, it was from HP. But I'm not sure how well PQI with SOP has been accepted in the marketplace...

Well, we seem to be selling lots of cards. :) I'll have the developers update our code base and test out these changes.

In D22598#494456, @imp wrote:
In D22598#494383, @jhb wrote:

@sbruno Do you have a PoC for this driver?

IIRC, it was from HP. But I'm not sure how well PQI with SOP has been accepted in the marketplace...

Well, we seem to be selling lots of cards. :) I'll have the developers update our code base and test out these changes.

Awesome! That's good feedback to get! Thanks for having your team look at it

Don't pass CALLOUT_MPSAFE to callout_init().

This revision now requires review to proceed.Dec 11 2019, 12:28 AM

Is it ok to commit this for now and if you have fixes after testing to merge those in? This is the last remaining user of timeout() and untimeout() in the tree.

We haven't had any problems with testing. I'm ok with it from our side.

This revision was not accepted when it landed; it landed in state Needs Review.Dec 13 2019, 7:57 PM
This revision was automatically updated to reflect the committed changes.